> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# HVAC Mode Adjusted

> Simulates having adjusted the [HVAC mode](https://docs.seam.co/capability-guides/thermostats/understanding-thermostat-concepts/hvac-mode) for a [thermostat](https://docs.seam.co/capability-guides/thermostats). Only applicable for [sandbox devices](https://docs.seam.co/core-concepts/workspaces#sandbox-workspaces). See also [Testing Your Thermostat App with Simulate Endpoints](https://docs.seam.co/capability-guides/thermostats/testing-your-thermostat-app-with-simulate-endpoints).



## OpenAPI

````yaml /openapi.json post /thermostats/simulate/hvac_mode_adjusted
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /thermostats/simulate/hvac_mode_adjusted:
    post:
      tags:
        - /thermostats
      summary: HVAC Mode Adjusted
      description: >-
        Simulates having adjusted the [HVAC
        mode](https://docs.seam.co/capability-guides/thermostats/understanding-thermostat-concepts/hvac-mode)
        for a [thermostat](https://docs.seam.co/capability-guides/thermostats).
        Only applicable for [sandbox
        devices](https://docs.seam.co/core-concepts/workspaces#sandbox-workspaces).
        See also [Testing Your Thermostat App with Simulate
        Endpoints](https://docs.seam.co/capability-guides/thermostats/testing-your-thermostat-app-with-simulate-endpoints).
      operationId: thermostatsSimulateHvacModeAdjustedPost
      requestBody:
        content:
          application/json:
            schema:
              discriminator:
                propertyName: hvac_mode
              oneOf:
                - properties:
                    device_id:
                      description: >-
                        ID of the thermostat device for which you want to
                        simulate having adjusted the HVAC mode.
                      format: uuid
                      type: string
                    hvac_mode:
                      description: HVAC mode that you want to simulate.
                      enum:
                        - 'off'
                      type: string
                  required:
                    - hvac_mode
                    - device_id
                  type: object
                - properties:
                    cooling_set_point_celsius:
                      description: >-
                        Cooling [set
                        point](https://docs.seam.co/capability-guides/thermostats/understanding-thermostat-concepts/set-points)
                        in °C that you want to simulate. You must set
                        `cooling_set_point_celsius` or
                        `cooling_set_point_fahrenheit`.
                      format: float
                      type: number
                    cooling_set_point_fahrenheit:
                      description: >-
                        Cooling [set
                        point](https://docs.seam.co/capability-guides/thermostats/understanding-thermostat-concepts/set-points)
                        in °F that you want to simulate. You must set
                        `cooling_set_point_fahrenheit` or
                        `cooling_set_point_celsius`.
                      format: float
                      type: number
                    device_id:
                      description: >-
                        ID of the thermostat device for which you want to
                        simulate having adjusted the HVAC mode.
                      format: uuid
                      type: string
                    hvac_mode:
                      description: HVAC mode that you want to simulate.
                      enum:
                        - cool
                      type: string
                  required:
                    - hvac_mode
                    - device_id
                  type: object
                - properties:
                    device_id:
                      description: >-
                        ID of the thermostat device for which you want to
                        simulate having adjusted the HVAC mode.
                      format: uuid
                      type: string
                    heating_set_point_celsius:
                      description: >-
                        Heating [set
                        point](https://docs.seam.co/capability-guides/thermostats/understanding-thermostat-concepts/set-points)
                        in °C that you want to simulate. You must set
                        `heating_set_point_celsius` or
                        `heating_set_point_fahrenheit`.
                      format: float
                      type: number
                    heating_set_point_fahrenheit:
                      description: >-
                        Heating [set
                        point](https://docs.seam.co/capability-guides/thermostats/understanding-thermostat-concepts/set-points)
                        in °F that you want to simulate. You must set
                        `heating_set_point_fahrenheit` or
                        `heating_set_point_celsius`.
                      format: float
                      type: number
                    hvac_mode:
                      description: HVAC mode that you want to simulate.
                      enum:
                        - heat
                      type: string
                  required:
                    - hvac_mode
                    - device_id
                  type: object
                - properties:
                    cooling_set_point_celsius:
                      description: >-
                        Cooling [set
                        point](https://docs.seam.co/capability-guides/thermostats/understanding-thermostat-concepts/set-points)
                        in °C that you want to simulate. You must set
                        `cooling_set_point_celsius` or
                        `cooling_set_point_fahrenheit`.
                      format: float
                      type: number
                    cooling_set_point_fahrenheit:
                      description: >-
                        Cooling [set
                        point](https://docs.seam.co/capability-guides/thermostats/understanding-thermostat-concepts/set-points)
                        in °F that you want to simulate. You must set
                        `cooling_set_point_fahrenheit` or
                        `cooling_set_point_celsius`.
                      format: float
                      type: number
                    device_id:
                      description: >-
                        ID of the thermostat device for which you want to
                        simulate having adjusted the HVAC mode.
                      format: uuid
                      type: string
                    heating_set_point_celsius:
                      description: >-
                        Heating [set
                        point](https://docs.seam.co/capability-guides/thermostats/understanding-thermostat-concepts/set-points)
                        in °C that you want to simulate. You must set
                        `heating_set_point_celsius` or
                        `heating_set_point_fahrenheit`.
                      format: float
                      type: number
                    heating_set_point_fahrenheit:
                      description: >-
                        Heating [set
                        point](https://docs.seam.co/capability-guides/thermostats/understanding-thermostat-concepts/set-points)
                        in °F that you want to simulate. You must set
                        `heating_set_point_fahrenheit` or
                        `heating_set_point_celsius`.
                      format: float
                      type: number
                    hvac_mode:
                      description: HVAC mode that you want to simulate.
                      enum:
                        - heat_cool
                      type: string
                  required:
                    - hvac_mode
                    - device_id
                  type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.thermostats.simulate.hvacModeAdjusted({
              device_id: "278a72ba-7deb-45e3-a0c0-573fd360ee7b",
              hvac_mode: "heat",
              heating_set_point_fahrenheit: 68,
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/thermostats/simulate/hvac_mode_adjusted"
            \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "device_id": "278a72ba-7deb-45e3-a0c0-573fd360ee7b",
              "hvac_mode": "heat",
              "heating_set_point_fahrenheit": 68
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.thermostats.simulate.hvac_mode_adjusted(
                device_id="278a72ba-7deb-45e3-a0c0-573fd360ee7b",
                hvac_mode="heat",
                heating_set_point_fahrenheit=68,
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.thermostats.simulate.hvac_mode_adjusted(
              device_id: "278a72ba-7deb-45e3-a0c0-573fd360ee7b",
              hvac_mode: "heat",
              heating_set_point_fahrenheit: 68,
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->thermostats->simulate->hvac_mode_adjusted(
                device_id: "278a72ba-7deb-45e3-a0c0-573fd360ee7b",
                hvac_mode: "heat",
                heating_set_point_fahrenheit: 68,
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam thermostats simulate hvac-mode-adjusted --device_id
            "278a72ba-7deb-45e3-a0c0-573fd360ee7b" --hvac_mode "heat"
            --heating_set_point_fahrenheit 68


            # {}
components:
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````